Search found 2918 matches

Go to advanced search

by ickby
Fri Oct 11, 2019 1:10 pm
Forum: Open discussion
Topic: [idea] Creating plugins for other commercial CAD software to import FreeCAD files
Replies: 17
Views: 519

Re: [idea] Creating plugins for other commercial CAD software to import FreeCAD files

The reason for the binary format is space efficiency and read write times, which are way faster for binary
by ickby
Fri Oct 11, 2019 1:09 pm
Forum: Open discussion
Topic: [idea] Creating plugins for other commercial CAD software to import FreeCAD files
Replies: 17
Views: 519

Re: [idea] Creating plugins for other commercial CAD software to import FreeCAD files

XML Files are the document structure, objects and properties etc. The brep files are the actual shapes in binary format. So technical you don't need them, as freecad could recalculate all shapes from the information in the XML files. But we do not do that as loading would take ages die to recalculat...
by ickby
Fri Oct 11, 2019 5:47 am
Forum: Open discussion
Topic: [idea] Creating plugins for other commercial CAD software to import FreeCAD files
Replies: 17
Views: 519

Re: [idea] Creating plugins for other commercial CAD software to import FreeCAD files

There are a few very big problems with importing into other apps: 1. The CAD data in FreeCAD files is most of the time stored in binary format (depends on FreeCAD settings). You would need a part of OCCT to read and interpret it. This means any importer needs to be a own software, with occt included...
by ickby
Tue Oct 08, 2019 10:15 am
Forum: Forum in Deutsch
Topic: Volumen-Vernetzung von Solids klappt nicht
Replies: 4
Views: 158

Re: Volumen-Vernetzung von Solids klappt nicht

Wenn man sich "Cut" genau anschaut sieht man das einige Edges sehr eigenartig sind und nicht durchgehen erscheinen. Eine Prüfung der Geometrie ergibt das genaue bild: Die geometrien sind beide Fehlerhaft. (man bekomm es nur beim erweiterten BOP check, siehe https://www.freecadweb.org/wiki/Part_Check...
by ickby
Thu Sep 19, 2019 8:09 am
Forum: Forum in Deutsch
Topic: GT2 gear generator
Replies: 5
Views: 237

Re: GT2 gear generator

du kannst dir auch einmal das FCGear modul anschauen, das du im Addon Manager installieren kannst:
https://github.com/looooo/freecad.gears

Das kann dir wahrscheinlich das gleiche Zahnrad mit deutlich weniger Aufwand erzeugen.
by ickby
Thu Sep 19, 2019 5:32 am
Forum: Python scripting and macros
Topic: Python scripted object as part of a boolean.
Replies: 1
Views: 108

Re: Python scripted object as part of a boolean.

In general the "onChange" function is only to be used for simple and responsive user feedback, so it should trigger a object recompute only if the redraw is almost instant. It is also not part of the freecad document updates. The real execution logic for objects work without "onChange" but with "exe...
by ickby
Mon Sep 16, 2019 10:36 am
Forum: Python scripting and macros
Topic: [solved]multiple spreadsheets in multiple documents
Replies: 8
Views: 442

Re: multiple spreadsheets in multiple documents

Today a fix was committed to the bugreport issued from my initial post:
https://www.freecadweb.org/tracker/view.php?id=4125

If you can use 0.19 dev version and wait a few days for the commit to hit daily builds the code in my initial post will work.
by ickby
Wed Sep 11, 2019 6:00 am
Forum: Python scripting and macros
Topic: [solved]multiple spreadsheets in multiple documents
Replies: 8
Views: 442

Re: multiple spreadsheets in multiple documents

I was to suggest a different method of obtaining the views that eases the document info, and that is by inquerying all open spreadsheets of each document, but I encountered a bug... Normally that should work: Gui.ActiveDocument.mdiViewsOfType("SpreadsheetGui::SheetView") And than you could simple it...
by ickby
Tue Sep 10, 2019 3:19 pm
Forum: Python scripting and macros
Topic: Remove unwanted faces from face extrusion
Replies: 9
Views: 354

Re: Remove unwanted faces from face extrusion

You made a polygon, which means the lines do not connect smoothly, e.g. the derivative of the wire jumps. hence the extrusion cannot result in a single face, as to my knoweledge faces are not allowed to have non-smooth derivatives. So first thing you need is to create a smooth wire to extrude from. ...
by ickby
Wed Sep 04, 2019 9:02 am
Forum: Open discussion
Topic: Exciting possibilities with jupyter and FreeCAD
Replies: 6
Views: 432

Re: Exciting possibilities with jupyter and FreeCAD

I persoanly use jupyter notebooks for FEM projects: Create model and mesh with FreeCAD python code, generate the FEM with Fenics and postprocess with paraview for detailed analysis, and vtkplotter for first views within the notebook. As I use it in confidential projects from my employer I cannot sho...

Go to advanced search